%global modulename nomnom

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-nomnom
Version:        1.8.1
Release:        1%{?dist}
Summary:        Option parser with generated usage and commands

License:        MIT
URL:            https://github.com/harthur/nomnom#readme
Source0:        https://registry.npmjs.org/nomnom/-/nomnom-1.8.1.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(underscore) >= 1.6.0 with npmlib(underscore) < 1.7.0))
BuildRequires:  ((npmlib(chalk) >= 0.4.0 with npmlib(chalk) < 0.5.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Option parser with generated usage and commands

%package 1.8.1
Summary:        Option parser with generated usage and commands


%description 1.8.1
Option parser with generated usage and commands

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr nomnom.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr num-vals-fix.diff %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.8.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Dec 5 2018 npm2srpm <dshea@redhat.com> - 1.8.1-1
- Package automatically generated by npm2srpm
